Canon LBP6000 does not print in Ubuntu 12.04 LTS (64-bit)

Save yourself the trouble and do not buy a Canon LBP6000 laser printer!
It will not run under Ubuntu 12.04 LTS "Precise Panglion" (32-/64-bit).

Just a quick notice on a printer I recently bought totally confident with my previous excellent Ubuntu printer support experience. Previous laser printers I had like two of the Brother HL line (HL-2030 and HL-2070N) worked out-of-the-box. Not so with the LBP6000.

I spent several hours trying every trick I found on the web. There is quite a number of users struggling with this printer. My conclusion after a weekend of try and constant error is that the LBP6000 does not print under Ubuntu 12.04. I tried both 32- and 64-bit Ubuntus. Basically I’m presented with the problem presented here. It apparently installs flawlessly, however refuses to print a page.

It seems though, as if the printer was working on previous Ubuntu versions, but not on todays most recent LTS version (october 2012).

Advertisements
This entry was posted in Planet, Ubuntu and tagged , , , , , , , , . Bookmark the permalink.

One Response to Canon LBP6000 does not print in Ubuntu 12.04 LTS (64-bit)

  1. nacho says:

    Operates as follows:
    Install gs-esp_8.71.dfsg.2-0ubuntu7_all.deb
    Then download raducotescu-CanonCAPTdriver-release-2.4-0-gc8ea9f9
    Unpack and install
    sudo. / canonLBP_install.sh LBP6000

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s